Summary:	Access control list utilities.
Name:		acl
Group:		System Environment/Base
License:	GPL
Version:	2.2.15
Release:	2
Source:		ftp://oss.sgi.com/projects/xfs/latest/cmd_tars/%{name}-%{version}.src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%files
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man1/*
  %doc %{_mandir}/man5/*

  %attr(0511,root,root)		%{_bindir}/chacl
  %attr(0511,root,root)		%{_bindir}/getfacl
  %attr(0511,root,root)		%{_bindir}/setfacl

%package -n libacl
Summary:	Dynamic library for access control list support.
Group:		Development/Libraries
Prereq:		/sbin/ldconfig

%description -n libacl
This package contains the libacl.so dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%files -n libacl
  %defattr(0444,root,root,0555)
  %attr(0555,root,root)		/%{_lib}/libacl.so.1.1.0
  %attr(0555,root,root)		/%{_lib}/libacl.so.1

%package -n libacl-devel
Summary:	Access control list static libraries and headers.
Group:		Development/Libraries
Requires:	libacl

%description -n libacl-devel
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

%files -n libacl-devel
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man3/*

  %attr(0444,root,root)		%{_includedir}/acl/libacl.h
  %attr(0444,root,root)		%{_includedir}/sys/acl.h

  %attr(0444,root,root)		%{_libdir}/libacl.a
  %attr(0444,root,root)		%{_libdir}/libacl.la
  %attr(0555,root,root)		%{_libdir}/libacl.so

  %attr(0444,root,root)		/%{_lib}/libacl.a
  %attr(0444,root,root)		/%{_lib}/libacl.la
  %attr(0555,root,root)		/%{_lib}/libacl.so

%prep
%setup -q
  make configure

%build
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  export DIST_ROOT="$RPM_BUILD_ROOT"
  export DIST_INSTALL=`pwd`/install.manifest
  export DIST_INSTALL_DEV=`pwd`/install-dev.manifest
  export DIST_INSTALL_LIB=`pwd`/install-lib.manifest

  make install DIST_MANIFEST="$DIST_INSTALL"
  make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"

  make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
  make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

  make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
  make -C build/rpm rpmfiles-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

  # Put 64bit libs where they belong.
%ifarch x86_64
  mkdir $RPM_BUILD_ROOT/%{_lib}
  mkdir $RPM_BUILD_ROOT/%{_libdir}
  mv $RPM_BUILD_ROOT/lib/*            $RPM_BUILD_ROOT/%{_lib}
  mv $RPM_BUILD_ROOT/%{_prefix}/lib/* $RPM_BUILD_ROOT/%{_libdir}
%endif

  # Remove unpackaged files
  rm -fr $RPM_BUILD_ROOT/%{_docdir}/acl
  rm -f  $RPM_BUILD_ROOT/%{_datadir}/locale/de/LC_MESSAGES/acl.mo

%post -n libacl   -p /sbin/ldconfig
%postun -n libacl -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.2.15, Release 2
  - x86_64 support.

* Tue Jun 28 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.2.15, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
